Developer Tools

Thank you for downloading

  • Update for .NET Framework 3.5 SP1 (KB967190)

    If your download does not start after 30 seconds, Click here
      • 1. Important: This fix requires that .NET Framework 3.5 SP1 be installed before it can be applied. Please read the release notes for known issues with .NET Framework 3.5 SP1 before you install the service pack. Make sure you have the latest service pack and critical updates for the version of Windows on the computer. To look for recent updates, visit Windows Update. In addition, make sure you have Windows Installer 3.1 installed before you install this service pack.

        2. Click the Download button on this page to start the download.

        3. To save the download to your computer for installation at a later time, click Save.

        4. To cancel the installation, click Cancel.

        IMPORTANT: After installing the .NET Framework 3.5 SP1 package (either the bootstrapper or the full package) you should immediately install the update KB959209 to address a set of known application compatibility issues.

Popular downloads

Loading your results, please wait...

Site feedback
Microsoft

What category would you like to give web site feedback on?



Rate your level of satisfaction with this web page today:

Comments:

Submit